{
  zen-browser,
  pkgs,
  lib,
  ...
}:
{
  imports = [ zen-browser.homeManagerModules.zen-browser ];

  # home.file.".mozilla/native-messaging-hosts".source =
  # lib.mkForce /home/lilith/.mozilla/native-messaging-hosts;

  programs.zen-browser = {
    enable = true;

    nativeMessagingHosts = (
      with pkgs;
      [
        tridactyl-native
        keepassxc
      ]
    );

    profiles.lilith = {
      id = 0;
      name = "Lilith";
      isDefault = true;

      search = {
        force = true;
        default = "DuckDuckGo";
        privateDefault = "DuckDuckGo";
        order = [ "DuckDuckGo" ];
      };

      extensions = with pkgs.nur.repos.rycee.firefox-addons; [
        ublock-origin
        keepassxc-browser
        tridactyl
        sponsorblock
      ];

      settings = {
        "zen.experimental-no-window-controls" = true;
        "zen.sidebar.data" = "";
        "browser.translations.automaticallyPopup" = false;
      };
    };
  };
}
